﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Elwig.Models;

namespace Elwig.Documents {
    public abstract class BusinessDocument : Document {

        public BusinessDocument(string title, Member m) : base(title) {
            Member = m;
        }

        public Member Member { get; set; }

        public string Address {
            get {
                // TODO Name/Rechnungsadresse
                return $"{Member.GivenName} {Member.FamilyName}\n{Member.Address}";
            }
        }
    }
}
