﻿using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models {
    [Table("AT_kg"), PrimaryKey("KgNr")]
    public class AT_Kg {
        [Column("kgnr")]
        public int KgNr { get; private set; }

        [Column("gkz")]
        public int Gkz { get; private set; }

        [Column("name")]
        public string Name { get; private set; }

        [ForeignKey("Gkz")]
        public virtual AT_Gem Gem { get; private set; }
    }
}
