﻿using Microsoft.EntityFrameworkCore;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models {
    [Table("branch"), PrimaryKey("ZwstId")]
    public class Branch {
        [Column("zwstid")]
        public string ZwstId { get; set; }

        [Column("name")]
        public string Name { get; set; }

        [InverseProperty("Branch")]
        public virtual ISet<Member> Members { get; private set; }
    }
}
