﻿using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models {
    [Table("wb_kg"), PrimaryKey("KgNr")]
    public class WbKg {
        [Column("kgnr")]
        public int KgNr { get; set; }

        [Column("glnr")]
        public int? GlNr { get; set; }

        [ForeignKey("KgNr")]
        public virtual AT_Kg Kg { get; private set; }
    }
}
