﻿using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models {
    [Table("wine_quality"), PrimaryKey("QualId")]
    public class WineQual {
        [Column("qualid")]
        public string QualId { get; private set; }

        [Column("origin_level")]
        public int? OriginLevel { get; private set; }

        [Column("name")]
        public string Name { get; private set; }

        [Column("from_kmw")]
        public double? FromKmw { get; private set; }

        [Column("to_kmw")]
        public double? ToKmw { get; private set; }
    }
}
